Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-2777

Overview

Vulnerability Score 4.4 4.4
CVE Id CVE-2011-2777
Last Modified 20 Dec 2012 12:00:00
Published 29 Aug 2012 06:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity MEDIUM
Authentication NONE

CVE-2011-2777

Summary

samples/powerbtn/powerbtn.sh in acpid (aka acpid2) 2.0.16 and earlier uses the pidof program incorrectly, which allows local users to gain privileges by running a program with the name kded4 and a DBUS_SESSION_BUS_ADDRESS environment variable containing commands.

Vulnerable Systems

Application

  • Tedfelix Acpid2 2.0.0

  • Tedfelix Acpid2 2.0.1

  • Tedfelix Acpid2 2.0.10

  • Tedfelix Acpid2 2.0.11

  • Tedfelix Acpid2 2.0.12

  • Tedfelix Acpid2 2.0.13

  • Tedfelix Acpid2 2.0.14

  • Tedfelix Acpid2 2.0.15

  • Tedfelix Acpid2 2.0.16

  • Tedfelix Acpid2 2.0.2

  • Tedfelix Acpid2 2.0.3

  • Tedfelix Acpid2 2.0.4

  • Tedfelix Acpid2 2.0.5

  • Tedfelix Acpid2 2.0.6

  • Tedfelix Acpid2 2.0.7

  • Tedfelix Acpid2 2.0.8

  • Tedfelix Acpid2 2.0.9


References

CONFIRM - https://bugs.launchpad.net/ubuntu/+source/acpid/+bug/893821


Last Updated: 27 May 2016 11:00:25